Bug 166913 - Starting Bluetooth Services - format correction of 2nd [OK]
Starting Bluetooth Services - format correction of 2nd [OK]
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Depends On:
  Show dependency treegraph
Reported: 2005-08-27 09:40 EDT by Richard Black
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-10 04:50:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Black 2005-08-27 09:40:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2) Gecko/20040308

Description of problem:
When the Bluetooth service starts the formatting is messed up as follows:

[  OK  ] Bluetooth services:[  OK  ]

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Minimal install of FC4
2. Boot the system
3. Watch the boot screen

Actual Results:  I received the following output on the screen as part of boot up:

Starting auditd: [  OK  ]
Starting RPC idmapd: [  OK  ]
[  OK  ] Bluetooth services:[  OK  ]
Mounting other filesystems:  [  OK  ]

Expected Results:  I expected to see the following or similar results:

Starting RPC idmapd: [  OK  ]
Starting Bluetooth service hcid: [  OK  ]
Starting Bluetooth service sdpd: [  OK  ]
Mounting other filesystems:  [  OK  ]

Additional info:

There are 2 daemon calls without any kind of echo between them.  I changed /etc/init.d/bluetooth from:

echo -n $"Starting Bluetooth services:"
daemon /usr/sbin/hcid
daemon sdpd


echo -n $"Starting Bluetooth service hcid: "
daemon /usr/sbin/hcid
echo -n $"Starting Bluetooth service sdpd: "
daemon sdpd
Comment 1 Richard Black 2005-08-27 09:51:07 EDT
I used the following to assist in checking for the presence of other back to
back daemon entries.  I did not find any on my minimal instal of FC4.  The short
list produced was ok: gpm, isdn, nfs, sendmail, syslog

cd /etc/init.d
for X in *; do grep "^ *daemon \|^       *daemon " $X | wc -l | grep -v ^0$ |
grep -v ^1$ | grep [0-9] && echo $X -----end--------; done

(Note, the 2nd portion of grep is a tab not spaces: ctrl+v ctrl+i)
Comment 2 David Woodhouse 2006-09-10 04:50:49 EDT
This seems to be handled differently in current initscripts, so it looks OK.

Note You need to log in before you can comment on or make changes to this bug.